Bug 841010 - man page references "gluster volume rename" but cli component reports error
man page references "gluster volume rename" but cli component reports error
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: Documentation (Show other bugs)
1.0
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Divya
amainkar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-17 16:55 EDT by Brian Harrington
Modified: 2015-04-10 03:14 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-10 03:14:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Harrington 2012-07-17 16:55:56 EDT
Description of problem:
When attempting to rename a volume within gluster the command line component fails to recognize the rename option.

Version-Release number of selected component (if applicable):
glusterfs-core-3.2.5-2.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.  gluster volume rename old_name new_name
  
Actual results:
[root@test01 ~]# gluster volume rename goldengate goldengate_cmh
unrecognized word: rename (position 1)


Expected results:
Volume renamed

Additional info:
Comment 2 Divya 2012-08-06 08:59:16 EDT
I have deleted rename command from the Command Reference chapter and the updated documentation is available at:http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Storage/2.0/html/Administration_Guide/chap-Administration_Guide-Com_Ref.html#id2981264
Comment 4 Divya 2012-08-13 08:39:45 EDT
There is some issue with new staging server and the latest files are not published. Please check the source file available at: https://svn.devel.redhat.com/repos/ecs/Red_Hat_Storage/2.0/Administration_Guide/en-US/admin_commandref.xml to verify the bug.
Comment 5 Vijaykumar Koppad 2012-08-21 07:45:40 EDT
I have checked it in the source file given by Divya. It is correct in the source file.
Comment 9 zsarosi 2014-12-12 10:19:10 EST
Problem still exists in the newest v3.6.1.

Note You need to log in before you can comment on or make changes to this bug.